Bug 1417920 - CVE-2017-5601 libarchive: Out of bounds read in lha_read_file_header_1() function [fedora-all]
Summary: CVE-2017-5601 libarchive: Out of bounds read in lha_read_file_header_1() func...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libarchive
Version: 25
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Pavel Raiskup
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1428362
Blocks: CVE-2017-5601
TreeView+ depends on / blocked
 
Reported: 2017-01-31 12:23 UTC by Andrej Nemec
Modified: 2017-04-22 09:23 UTC (History)
2 users (show)

Fixed In Version: libarchive-3.2.2-4.fc26 libarchive-3.2.2-2.fc25
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-21 14:28:34 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-01-31 12:23:27 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Fedora Update System 2017-04-19 08:59:02 UTC
libarchive-3.2.2-4.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-35e59a5ffb

Comment 2 Fedora Update System 2017-04-19 10:48:06 UTC
libarchive-3.2.2-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-55a8f10223

Comment 3 Fedora Update System 2017-04-20 00:27:46 UTC
libarchive-3.2.2-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-55a8f10223

Comment 4 Fedora Update System 2017-04-20 02:22:21 UTC
libarchive-3.2.2-4.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-35e59a5ffb

Comment 5 Fedora Update System 2017-04-21 14:28:34 UTC
libarchive-3.2.2-4.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2017-04-22 09:23:03 UTC
libarchive-3.2.2-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.